## mysql-connector-c++ 1.1.9

=== CMakeLists.txt ===
#
# Copyright (c) 2008, 2017, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


PROJECT(MYSQLCPPCONN)

cmake_minimum_required(VERSION 2.6.2)

IF(COMMAND cmake_policy AND POLICY CMP0015)
  cmake_policy(SET CMP0015 NEW)
ENDIF(COMMAND cmake_policy AND POLICY CMP0015)

INCLUDE(VersionInfo.cmake)

OPTION(TAR_LAYOUT "Use directory layout for an unpacked TAR install")
OPTION(RPM_LAYOUT "Use directory layout for an RPM install")

IF(TAR_LAYOUT OR NOT CMAKE_VERSION OR CMAKE_VERSION VERSION_LESS "2.8.5")
  SET(INSTALL_LIBDIR lib)
ELSE()
  INCLUDE(GNUInstallDirs)
  SET(INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
ENDIF()

SET(EDIT_WARNING_MESSAGE "Please do not edit this file - it is generated by cmake. Edit its source file instead.")

# Configuring header file with driver version info
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/driver/version_info.h.cmake
               ${CMAKE_BINARY_DIR}/driver/version_info.h @ONLY)

# This is needed by windows installer and fro CPACK
IF(EXISTS "${CMAKE_SOURCE_DIR}/COPYING")
  SET(LICENSE_FILENAME "${CMAKE_SOURCE_DIR}/COPYING")
ELSE(EXISTS "${CMAKE_SOURCE_DIR}/COPYING")
  SET(LICENSE_FILENAME "${CMAKE_SOURCE_DIR}/LICENSE.mysql")
ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/COPYING")

# Creating file with version info that will be used for installer
# We have to do this trick because of license filename that is looked in this CMAKE_SOURCE_DIR (installer's cmake is run separately)
IF(WIN32)
  FILE(WRITE "${CMAKE_BINARY_DIR}/win/config.cmake" "SET(CONNECTOR_PRODUCT_VERSION ${CONNECTOR_VERSION})\n"
                                                    "SET(LICENSE_FILENAME \"${LICENSE_FILENAME}\")\n")
ENDIF(WIN32)

#-----------------
# CPPFLAGS, CXXFLAGS and LDFLAGS from the environment

SET(FreeBSD11Up False)
if (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD" AND
    ${CMAKE_SYSTEM_VERSION} GREATER "10")
  SET(FreeBSD11Up True)
endif()

# c++11 enabled by default only for FreeBSD 11 and up
OPTION(CMAKE_ENABLE_C++11 "Build Connector using c++11" ${FreeBSD11Up})
IF(CMAKE_ENABLE_C++11)
  INCLUDE(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
  IF(COMPILER_SUPPORTS_CXX11)
    MESSAGE(STATUS "Compiler supports C++11. Adding -std=c++11 flags")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  ELSEIF(COMPILER_SUPPORTS_CXX0X)
    MESSAGE(STATUS "Compiler supports C++11. Adding -std=c++0x flag.")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  ELSE()
    MESSAGE(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} doesn't support C++11. Please use a different compiler.")
  ENDIF(COMPILER_SUPPORTS_CXX11)
ENDIF(CMAKE_ENABLE_C++11)


#
# Configure static runtime library on Windows if requested
#

option(STATIC_MSVCRT "Use static MSVC runtime library" OFF)

if(WIN32)
  IF(STATIC_MSVCRT)

    message("Using static runtime library")

    foreach(LANG C CXX)
      set(CMAKE_${LANG}_FLAGS "${CMAKE_${LANG}_FLAGS} /MT")
      foreach(TYPE RELEASE RELWITHDEBINFO MINSIZEREL)
        set(CMAKE_${LANG}_FLAGS_${TYPE} "${CMAKE_${LANG}_FLAGS_${TYPE}} /MT")
      endforeach()
      set(CMAKE_${LANG}_FLAGS_DEBUG "${CMAKE_${LANG}_FLAGS_DEBUG} /MTd")
    endforeach(LANG)
 ELSE(STATIC_MSVCRT)
    foreach(LANG C CXX)
      set(CMAKE_${LANG}_FLAGS "${CMAKE_${LANG}_FLAGS} /MD")
      foreach(TYPE RELEASE RELWITHDEBINFO MINSIZEREL)
        set(CMAKE_${LANG}_FLAGS_${TYPE} "${CMAKE_${LANG}_FLAGS_${TYPE}} /MD")
      endforeach()
      set(CMAKE_${LANG}_FLAGS_DEBUG "${CMAKE_${LANG}_FLAGS_DEBUG} /MDd")
    endforeach(LANG)
 ENDIF(STATIC_MSVCRT)

endif()


#-----------------
# ICU

SET(MYSQLCPPCONN_ICU_ENABLE 0 CACHE BOOL "development only: search icu although we do not make use of it yet.")

IF(MYSQLCPPCONN_ICU_ENABLE)
  SET(MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE)
  SET(MYSQLCPPCONN_ICU_LIBRARY)
  SET(MYSQLCPPCONN_ICU_INCLUDE)

  FIND_PROGRAM (MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE icu-config)

  IF (NOT MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE)
    SET (MYSQLCPPCONN_ICU_FOUND FALSE)
    MESSAGE(STATUS "icu-config not found")
  ELSE (NOT MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE)

    EXEC_PROGRAM ("${MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE} --ldflags-libsonly"
    OUTPUT_VARIABLE MYSQLCPPCONN_ICU_LIBRARY
    RETURN_VALUE ERROR_CODE
    )

    EXEC_PROGRAM ("${MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE} --cppflags-searchpath|sed s/^-I//"
    OUTPUT_VARIABLE MYSQLCPPCONN_ICU_INCLUDE
    RETURN_VALUE ERROR_CODE
    )

    EXEC_PROGRAM ("${MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE} --ldflags-searchpath|sed s/^-L//"
    OUTPUT_VARIABLE MYSQLCPPCONN_ICU_LDLIB
    RETURN_VALUE ERROR_CODE
    )

    IF (MYSQLCPPCONN_ICU_LIBRARY)
      SET (MYSQLCPPCONN_ICU_FOUND TRUE)
    ENDIF (MYSQLCPPCONN_ICU_LIBRARY)

    MESSAGE(STATUS "ICU::CONFIG: ${MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE}")
    MESSAGE(STATUS "ICU::LIBRARY: ${MYSQLCPPCONN_ICU_LIBRARY}")
    MESSAGE(STATUS "ICU::INCLUDE: ${MYSQLCPPCONN_ICU_INCLUDE}")
    MESSAGE(STATUS "ICU::LDLIB: ${MYSQLCPPCONN_ICU_LDLIB}")

    INCLUDE_DIRECTORIES(${MYSQLCPPCONN_ICU_INCLUDE})
    LINK_DIRECTORIES(${MYSQLCPPCONN_ICU_LDLIB})
  ENDIF (NOT MYSQLCPPCONN_ICU_CONFIG_EXECUTABLE)
ENDIF(MYSQLCPPCONN_ICU_ENABLE)
#-----------------

#-----------------
# BOOST
SET(ENV_BOOST $ENV{BOOST_ROOT})
IF(NOT BOOST_ROOT AND ENV_BOOST)
  SET(BOOST_ROOT ${ENV_BOOST})
ENDIF(NOT BOOST_ROOT AND ENV_BOOST)

IF(NOT BOOST_ROOT AND WIN32)
  SET(BOOST_ROOT "C:/Program Files/Boost")
ENDIF(NOT BOOST_ROOT AND WIN32)

# Prefer static linking in all cases
SET(Boost_ADDITIONAL_VERSIONS "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39")
SET(Boost_NO_BOOST_CMAKE ON CACHE BOOL "Enable fix for FindBoost.cmake")
SET(MYSQLCPPCONN_BOOST_COMPONENTS thread date_time)
SET(Boost_USE_STATIC_LIBS TRUE)
#FIND_PACKAGE(Boost COMPONENTS ${MYSQLCPPCONN_BOOST_COMPONENTS})
FIND_PACKAGE(Boost)
IF(NOT Boost_FOUND)
  # Try dynamic
  SET(Boost_USE_STATIC_LIBS FALSE)
  FIND_PACKAGE(Boost COMPONENTS ${MYSQLCPPCONN_BOOST_COMPONENTS})
  IF(NOT Boost_FOUND)
    MESSAGE(FATAL_ERROR "Boost or some of its libraries found. If not in standard place please set -DBOOST_ROOT:STRING=")
  ENDIF(NOT Boost_FOUND)
ENDIF(NOT Boost_FOUND)

SET(MYSQLCPPCONN_BOOST_INCLUDE_DIRS ${Boost_INCLUDE_DIRS})
SET(MYSQLCPPCONN_BOOST_SYSTEM_LIBS ${Boost_SYSTEM_LIBRARY})
SET(MYSQLCPPCONN_BOOST_THREAD_LIBS ${Boost_THREAD_LIBRARY})
SET(MYSQLCPPCONN_BOOST_LIBRARY_DIRS ${Boost_LIBRARY_DIRS})

INCLUDE_DIRECTORIES(${MYSQLCPPCONN_BOOST_INCLUDE_DIRS})
MESSAGE(STATUS "BOOST_INCLUDE_DIRS=${MYSQLCPPCONN_BOOST_INCLUDE_DIRS}")


#-----------------
IF(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)


#----------------------
# STLPORT - BEGIN
#
SET(MYSQLCPPCONN_STLPORT_ENABLE 0 CACHE BOOL "stlport-enabled")
IF(MYSQLCPPCONN_STLPORT_ENABLE)
  MESSAGE(STATUS "Looking for STLPort")
  FIND_PATH(STLPORT_INCLUDE_DIR stl_user_config.h
            $ENV{STLPORT_INCLUDE_DIR}
            /usr/include/stlport
            /usr/local/include/stlport)
  IF(STLPORT_INCLUDE_DIR)
    MESSAGE(STATUS "Using STLPort from : ${STLPORT_INCLUDE_DIR}")

    INCLUDE_DIRECTORIES(STLPORT_INCLUDE_DIR)
    SET(MYSQLCPPCONN_STLPORT_LIB "stlport")
  ELSE(STLPORT_INCLUDE_DIR)
    MESSAGE(FATAL_ERROR "STLPORT not found. Please set \$ENV{STLPORT_INCLUDE_DIR} if installed in non-standard location")
  ENDIF(STLPORT_INCLUDE_DIR)

  # We want to set the inclusion of the library globally
  ADD_DEFINITIONS(-library=stlport4) # Not a macro defintion, but CMake manual says I can!! ;)
  SET(CMAKE_EXE_LINKER_FLAGS        "${CMAKE_EXE_LINKER_FLAGS} -library=stlport4")
  SET(CMAKE_SHARED_LINKER_FLAGS     "${CMAKE_SHARED_LINKER_FLAGS} -library=stlport4")
  SET(CMAKE_MODULE_LINKER_FLAGS     "${CMAKE_MODULE_LINKER_FLAGS} -library=stlport4")

ELSE(MYSQLCPPCONN_STLPORT_ENABLE)
  SET(MYSQLCPPCONN_STLPORT_LIB "")
ENDIF(MYSQLCPPCONN_STLPORT_ENABLE)
#
# STLPORT - END
#----------------------

# Make tests cover methods that throw not implemented to detect API changes?
SET(MYSQLCPPCONN_TEST_NOT_IMPLEMENTED 0 CACHE BOOL "HEAD/trunk QA: invoke methods that should return not implemented to detect API changes")

INCLUDE(${CMAKE_SOURCE_DIR}/FindMySQL.cmake)

SET(MYSQLCLIENT_STATIC_BINDING 1 CACHE BOOL "enable static binding")
IF(MYSQLCLIENT_STATIC_BINDING AND EXISTS "${CMAKE_SOURCE_DIR}/cmake/mysql_version_info.cmake")
  INCLUDE(${CMAKE_SOURCE_DIR}/cmake/mysql_version_info.cmake)
  IF(NOT LIBMYSQL_CPP_VERSION STREQUAL "")
    SET(MYSQL_VERSION "${LIBMYSQL_CPP_VERSION}")
  ELSEIF(NOT MYSQL_CPP_SERVER_VERSION STREQUAL "")
    SET(MYSQL_VERSION "${MYSQL_CPP_SERVER_VERSION}")
  ENDIF(NOT LIBMYSQL_CPP_VERSION STREQUAL "")
  STRING(REGEX MATCHALL "([0-9]+.[0-9]+.[0-9]+)" MYSQL_VERSION "${MYSQL_VERSION}")

  IF(LIBMYSQL_CPP_VERSION_ID)
    SET(MYSQL_NUM_VERSION ${LIBMYSQL_CPP_VERSION_ID})
  ELSEIF(MYSQL_CPP_SERVER_VERSION_ID)
    SET(MYSQL_NUM_VERSION ${MYSQL_CPP_SERVER_VERSION_ID})
  ENDIF(LIBMYSQL_CPP_VERSION_ID)
ENDIF()


OPTION(USE_SERVER_CXXFLAGS "USE MYSQL_CXXFLAGS on connector build" 0)

message(STATUS "USE_SERVER_FLAGS : ${USE_SERVER_CXXFLAGS}")
if (USE_SERVER_CXXFLAGS)
  SET(MYSQLCPPCONN_COMPILE_FLAGS_ENV "$ENV{CPPFLAGS} ${MYSQL_CXXFLAGS} $ENV{CXXFLAGS}")
else (USE_SERVER_CXXFLAGS)
  SET(MYSQLCPPCONN_COMPILE_FLAGS_ENV "$ENV{CPPFLAGS} $ENV{CXXFLAGS}")
endif(USE_SERVER_CXXFLAGS)

MESSAGE(STATUS "Environment compile flags: ${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")

SET(MYSQLCPPCONN_LINK_FLAGS_ENV "$ENV{LDFLAGS}")
MESSAGE(STATUS "Environment link flags: ${MYSQLCPPCONN_LINK_FLAGS_ENV}")

# Configuring header file with DM version info
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/cppconn/version_info.h.cmake
               ${CMAKE_BINARY_DIR}/cppconn/version_info.h @ONLY)

#
# ----------------------------------------------------------------------
# Create package script
# ----------------------------------------------------------------------

IF(NOT CONNECTOR_PLATFORM)
  IF(WIN32)
    IF(CMAKE_SIZEOF_VOID_P MATCHES 8)
      SET(CONNECTOR_PLATFORM "winx64")
    ELSE(CMAKE_SIZEOF_VOID_P MATCHES 8)
      SET(CONNECTOR_PLATFORM "win32")
    ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 8)
  ELSE(WIN32)
    SET(CONNECTOR_PLATFORM "unknown")
  ENDIF(WIN32)
ENDIF(NOT CONNECTOR_PLATFORM)

#CPACK version variables are initialized in VersionInfo.cmake
# Get the part of the package name for this product
IF(MYSQL_SERVER_SUFFIX STREQUAL "-community")
  SET(CPACK_SERVER_SUFFIX "")
ELSE(MYSQL_SERVER_SUFFIX STREQUAL "-community")
  SET(CPACK_SERVER_SUFFIX ${MYSQL_SERVER_SUFFIX})
ENDIF(MYSQL_SERVER_SUFFIX STREQUAL "-community")

IF(EXTRA_NAME_SUFFIX)
  SET(CPACK_PACKAGE_NAME "mysql-connector-c++${EXTRA_NAME_SUFFIX}")
ELSE(EXTRA_NAME_SUFFIX)
  SET(CPACK_PACKAGE_NAME "mysql-connector-c++")
ENDIF(EXTRA_NAME_SUFFIX)

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "Connector/C++, a library for connecting to MySQL servers.")
SET(CPACK_PACKAGE_VENDOR "Oracle and/or its affiliates")
SET(CPACK_RPM_PACKAGE_DESCRIPTION

=== cppconn/CMakeLists.txt ===
#
# Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(inttypes.h HAVE_INTTYPES_H)

CHECK_TYPE_SIZE("int8_t"   HAVE_INT8_T)
CHECK_TYPE_SIZE("uint8_t"  HAVE_UINT8_T)
CHECK_TYPE_SIZE("int16_t"  HAVE_INT16_T)
CHECK_TYPE_SIZE("uint16_t" HAVE_UINT16_T)
CHECK_TYPE_SIZE("int32_t"  HAVE_INT32_T)
CHECK_TYPE_SIZE("uint32_t" HAVE_UINT32_T)
CHECK_TYPE_SIZE("int64_t"  HAVE_INT64_T)
CHECK_TYPE_SIZE("uint64_t" HAVE_UINT64_T)
CHECK_TYPE_SIZE("__int8"			HAVE_MS_INT8)
CHECK_TYPE_SIZE("unsigned __int8" 	HAVE_MS_UINT8)
CHECK_TYPE_SIZE("__int16"			HAVE_MS_INT16)
CHECK_TYPE_SIZE("unsigned __int16"	HAVE_MS_UINT16)
CHECK_TYPE_SIZE("__int32"			HAVE_MS_INT32)
CHECK_TYPE_SIZE("unsigned __int32"	HAVE_MS_UINT32)
CHECK_TYPE_SIZE("__int64"			HAVE_MS_INT64)
CHECK_TYPE_SIZE("unsigned __int64"	HAVE_MS_UINT64)


CHECK_FUNCTION_EXISTS(strtold HAVE_FUNCTION_STRTOLD)
CHECK_FUNCTION_EXISTS(strtol HAVE_FUNCTION_STRTOL)
CHECK_FUNCTION_EXISTS(strtoll HAVE_FUNCTION_STRTOLL)
CHECK_FUNCTION_EXISTS(strtoul HAVE_FUNCTION_STRTOUL)
CHECK_FUNCTION_EXISTS(strtoull HAVE_FUNCTION_STRTOULL)
CHECK_FUNCTION_EXISTS(strtoimax HAVE_FUNCTION_STRTOIMAX)
CHECK_FUNCTION_EXISTS(strtoumax HAVE_FUNCTION_STRTOUMAX)


CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cm
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)


SET(MYSQLCPPCONN_INSTALL_HEADERS
		build_config.h
		${CMAKE_CURRENT_BINARY_DIR}/config.h
		connection.h
		datatype.h
		driver.h
		exception.h
		metadata.h
		parameter_metadata.h
		prepared_statement.h
		resultset.h
		resultset_metadata.h
		statement.h
		sqlstring.h
		warning.h
		${CMAKE_CURRENT_BINARY_DIR}/version_info.h
		variant.h)

INSTALL(FILES ${MYSQLCPPCONN_INSTALL_HEADERS} DESTINATION include/cppconn)

=== examples/CMakeLists.txt ===
#
# Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


SET(CMAKE_VERBOSE_MAKEFILE 0)

SET(MYSQLCPPCONN_BUILD_EXAMPLES 1 CACHE BOOL "build-examples")
IF(MYSQLCPPCONN_BUILD_EXAMPLES)
  LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/cppconn)

  IF(WIN32)
    IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
      LINK_DIRECTORIES(${MYSQL_DIR}/lib/debug)
    ELSEIF(CMAKE_BUILD_TYPE STREQUAL "")
      LINK_DIRECTORIES(${MYSQL_DIR}/lib/opt)
    ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

    ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS")

    SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn)
    IF(MYSQLCLIENT_STATIC_BINDING)
      SET(MY_TARGET_LINK_LIBRARIES ${MY_TARGET_LINK_LIBRARIES})
    ENDIF(MYSQLCLIENT_STATIC_BINDING)

    SET(CMAKE_FIND_LIBRARY_SUFFIXES ".dll")
    FIND_LIBRARY(MYSQLCPPCONN_DYNLOAD_MYSQL_LIB
      NAMES
        libmysql
      PATHS
        ${MYSQL_LIB_DIR}
        ${MYSQL_LIB_DIR}/lib/${libsuffixDist}
        ${MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
        ${MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
        ${MYSQL_LIB_DIR}/client/${libsuffixBuild}
        $ENV{MYSQL_LIB_DIR}
        $ENV{MYSQL_LIB_DIR}/lib/${libsuffixDist}
        $ENV{MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
        $ENV{MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
        $ENV{MYSQL_LIB_DIR}/client/${libsuffixBuild}
        $ENV{MYSQL_DIR}/lib/${libsuffixDist}
        $ENV{MYSQL_DIR}/lib  #mysqlclient may be in lib for some c/c distros
        $ENV{MYSQL_DIR}/libmysql/${libsuffixBuild}
        $ENV{MYSQL_DIR}/client/${libsuffixBuild}
        $ENV{ProgramFiles}/MySQL/*/lib/${libsuffixDist}
        $ENV{ProgramFiles}/MySQL/*/lib
        $ENV{SystemDrive}/MySQL/*/lib/${libsuffixDist}
        $ENV{SystemDrive}/MySQL/*/lib
        NO_DEFAULT_PATH
    )

    ELSEIF(NOT WIN32)
      SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn-static)
      IF(MYSQLCLIENT_STATIC_BINDING)
        SET(MY_TARGET_LINK_LIBRARIES ${MY_TARGET_LINK_LIBRARIES})
      ENDIF(MYSQLCLIENT_STATIC_BINDING)

      FIND_LIBRARY(MYSQLCPPCONN_DYNLOAD_MYSQL_LIB
        NAMES
          libmysqlclient_r.so
          libmysqlclient.so
        PATHS
          ${MYSQL_LIB_DIR}
          ${MYSQL_LIB_DIR}/libmysql_r/.libs
          ${MYSQL_LIB_DIR}/lib
          ${MYSQL_LIB_DIR}/lib/mysql
          $ENV{MYSQL_LIB_DIR}
          $ENV{MYSQL_LIB_DIR}/libmysql_r/.libs
          $ENV{MYSQL_LIB_DIR}/lib
          $ENV{MYSQL_LIB_DIR}/lib/mysql
          $ENV{MYSQL_DIR}/libmysql_r/.libs
          $ENV{MYSQL_DIR}/lib
          $ENV{MYSQL_DIR}/lib/mysql
          ${MYSQL_CLIB_DIR}
          ${MYSQL_CLIB_DIR}/libmysql_r/.libs
          ${MYSQL_CLIB_DIR}/lib
          ${MYSQL_CLIB_DIR}/lib/mysql
          /usr/lib/mysql
          /usr/local/lib/mysql
          /usr/local/mysql/lib
          /usr/local/mysql/lib/mysql
          /opt/mysql/mysql/lib
          /opt/mysql/mysql/lib/mysql
          NO_DEFAULT_PATH
      )
    ENDIF(WIN32)

    ADD_DEFINITIONS("-DDYNLOAD_MYSQL_LIB=\"${MYSQLCPPCONN_DYNLOAD_MYSQL_LIB}\"")
    MESSAGE(STATUS "MySQL dynamic load test library: ${MYSQLCPPCONN_DYNLOAD_MYSQL_LIB}")

    IF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)
      SET(MY_GCOV_LINK_LIBRARIES gcov)
    ENDIF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)

    ADD_EXECUTABLE(connect connect.cpp)
    SET_TARGET_PROPERTIES(connect PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(connect ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(connection_meta_schemaobj connection_meta_schemaobj.cpp)
    SET_TARGET_PROPERTIES(connection_meta_schemaobj PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(connection_meta_schemaobj ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(debug_output debug_output.cpp)
    SET_TARGET_PROPERTIES(debug_output PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(debug_output ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(exceptions exceptions.cpp)
    SET_TARGET_PROPERTIES(exceptions PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(exceptions ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(prepared_statement prepared_statement.cpp)
    SET_TARGET_PROPERTIES(prepared_statement PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(prepared_statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(resultset resultset.cpp)
    SET_TARGET_PROPERTIES(resultset PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(resultset ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(resultset_binary resultset_binary.cpp)
    SET_TARGET_PROPERTIES(resultset_binary PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(resultset_binary ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(resultset_meta resultset_meta.cpp)
    SET_TARGET_PROPERTIES(resultset_meta PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(resultset_meta ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(resultset_types resultset_types.cpp)
    SET_TARGET_PROPERTIES(resultset_types PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(resultset_types ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(statement statement.cpp)
    SET_TARGET_PROPERTIES(statement PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

    ADD_EXECUTABLE(dynamic_load dynamic_load.cpp)
    SET_TARGET_PROPERTIES(dynamic_load PROPERTIES
            LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
            COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
    TARGET_LINK_LIBRARIES(dynamic_load ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
            ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
            ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

ENDIF(MYSQLCPPCONN_BUILD_EXAMPLES)

MESSAGE(STATUS "Configuring examples")

=== win/CMakeLists.txt ===
#
# Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#

PROJECT(MSI)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

# This is Windows only, so just set one of two possible

SET(CONNECTOR_PLATFORM "Intel")
SET(CONNECTOR_PLATFORM_SUFFIX "win32")
SET(CONNECTOR_DEFAULT_DEST "ProgramFilesFolder")
IF(CMAKE_SIZEOF_VOID_P MATCHES 8)
  SET(CONNECTOR_PLATFORM "x64")
  SET(CONNECTOR_PLATFORM_SUFFIX "winx64")
  SET(CONNECTOR_DEFAULT_DEST "ProgramFiles64Folder")
ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 8)

INCLUDE(${CMAKE_BINARY_DIR}/config.cmake)

SET(CONNECTOR_PRODUCT_DEST "MySQL Connector C++ ${CONNECTOR_PRODUCT_VERSION}")

# Generate GUID
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID1)
STRING(STRIP ${CONNECTOR_PKG_ID1} CONNECTOR_PKG_ID1)
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID2)
STRING(STRIP ${CONNECTOR_PKG_ID2} CONNECTOR_PKG_ID2)

# check if wix is in current path #
FIND_PATH(CONNECTOR_WIX_DIR candle.exe
        $ENV{CONNECTOR_WIX_DIR}
        $ENV{WIX_DIR}
        $ENV{WIX_DIR}/bin
        $ENV{ProgramFiles}/wix/bin
        $ENV{ProgramFiles}/Windows Installer */bin)

IF(NOT CONNECTOR_WIX_DIR)
  MESSAGE(ERROR "Wix not found. Please change your environment variable PATH or specify WIX_DIR")
ENDIF(NOT CONNECTOR_WIX_DIR)

IF (CONNECTOR_SIGNED)
  FIND_PROGRAM(HAVE_MD5SUM NAMES md5sum
  PATH ENV PATH)
  IF(NOT HAVE_MD5SUM)
    MESSAGE(ERROR "Can't find md5sum")
  ENDIF(NOT HAVE_MD5SUM)

  FIND_PROGRAM(HAVE_SIGNTOOL NAMES signtool
  PATH ENV PATH)
  IF(NOT HAVE_SIGNTOOL)
    MESSAGE(ERROR "Can't find signtool")
  ENDIF(NOT HAVE_SIGNTOOL)
ENDIF (CONNECTOR_SIGNED)

IF(NOT EXTRA_NAME_SUFFIX)
  SET(EXTRA_NAME_SUFFIX "")
ENDIF(NOT EXTRA_NAME_SUFFIX)

SET(WIXOUT "mysql-connector-c++${EXTRA_NAME_SUFFIX}-${CONNECTOR_PRODUCT_VERSION}${CONNECTOR_PRODUCT_LEVEL}-${CONNECTOR_PLATFORM_SUFFIX}")

SET(ProductURN "MSQZP-100-ZZZZ")

#-----------------------------------------------------

IF(EXISTS "${CMAKE_SOURCE_DIR}/../LICENSE.mysql")
  SET(LIC_SHORT_NAME "LICENSE.txt")
  SET(LIC_NAME       "LICENSE.mysql.txt")
  SET(LICENSE_FILE "${CMAKE_SOURCE_DIR}/../LICENSE.mysql")
  SET(LICENSE_RTF  "${CMAKE_BINARY_DIR}/License.rtf")
ELSE()
  SET(LIC_SHORT_NAME "COPYING.txt")
  SET(LIC_NAME       "COPYING.txt")
  SET(LICENSE_FILE "${CMAKE_SOURCE_DIR}/../COPYING")
  SET(LICENSE_RTF  "${CMAKE_BINARY_DIR}/License.rtf")
ENDIF()
FILE(READ ${LICENSE_FILE} CONTENTS)
STRING(REGEX REPLACE "\n" "\\\\par\n" CONTENTS "${CONTENTS}")
STRING(REGEX REPLACE "\t" "\\\\tab" CONTENTS "${CONTENTS}")
FILE(WRITE "${LICENSE_RTF}"
     "{\\rtf1\\ansi\\deff0{\\fonttbl{\\f0\\fnil\\fcharset0 Courier New;}}\\viewkind4\\uc1\\pard\\lang1031\\f0\\fs15")
FILE(APPEND "${LICENSE_RTF}" "${CONTENTS}")
FILE(APPEND "${LICENSE_RTF}" "\n}\n")

#-----------------------------------------------------

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/mysql-conncpp-msi-template.xml.in
               ${CMAKE_BINARY_DIR}/mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml @ONLY)

MESSAGE(STATUS "${WIXOUT}")

SET(XML1                        mysql-conncpp-msi-ui.xml)
SET(WIXOBJ1 ${CMAKE_BINARY_DIR}/mysql-conncpp-msi-ui.wixobj)
SET(XML2    ${CMAKE_BINARY_DIR}/mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml)
SET(WIXOBJ2 ${CMAKE_BINARY_DIR}/mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.wixobj)

ADD_CUSTOM_COMMAND(OUTPUT "${WIXOBJ1}"
                   COMMAND "${CONNECTOR_WIX_DIR}/candle"
                     "-dBuildDir=${CMAKE_BINARY_DIR}"
                     "-I${CMAKE_SOURCE_DIR}"
                     -o "${WIXOBJ1}"
                     "${XML1}"
                   WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

ADD_CUSTOM_COMMAND(OUTPUT "${WIXOBJ2}"
                   COMMAND "${CONNECTOR_WIX_DIR}/candle"
                     "-dBuildDir=${CMAKE_BINARY_DIR}"
                     "-I${CMAKE_SOURCE_DIR}"
                     -o "${WIXOBJ2}"
                     "${XML2}"
                   WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

ADD_CUSTOM_COMMAND(OUTPUT "${CMAKE_BINARY_DIR}/${WIXOUT}.msi"
                   COMMAND "${CONNECTOR_WIX_DIR}/light"
                     -o "${CMAKE_BINARY_DIR}/${WIXOUT}.msi"
                     "${WIXOBJ1}"
                     "${WIXOBJ2}"
                     "${CONNECTOR_WIX_DIR}/WixUI.wixlib"
                     "${CONNECTOR_WIX_DIR}/wixca.wixlib"
                     -loc "${CONNECTOR_WIX_DIR}/WixUI_en-us.wxl"
                   WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
                   DEPENDS "${WIXOBJ1}" "${WIXOBJ2}")

ADD_CUSTOM_TARGET(MSI ALL DEPENDS "${CMAKE_BINARY_DIR}/${WIXOUT}.msi")

IF(CONNECTOR_SIGNED)
  ADD_CUSTOM_COMMAND(OUTPUT "${WIXOUT}.msi.md5"
                     COMMAND signtool sign -a -d "MySQL Connector C++ ${CONECTOR_PRODUCT_VERSION}" -du "http://www.mysql.com" -t "http://timestamp.verisign.com/scripts/timestamp.dll" ${WIXOUT}.msi
                     COMMAND md5sum ${WIXOUT}.msi > ${WIXOUT}.msi.md5)
  ADD_CUSTOM_TARGET(MSI_SIGNED ALL DEPENDS "${WIXOUT}.msi.md5")
ENDIF(CONNECTOR_SIGNED)

=== test/CJUnitTestsPort/CMakeLists.txt ===
#
# Copyright (c) 2008, 2016, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#

IF(WIN32)
  LINK_DIRECTORIES(../framework/$(ConfigurationName))
  SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn test_framework)
#	ADD_DEFINITIONS("-D_SECURE_SCL")
  ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS")
  ADD_DEFINITIONS("-D_CRT_SECURE_NO_WARNINGS")

ELSEIF(NOT WIN32)
  SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn test_framework)
ENDIF(WIN32)

IF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)
  SET(MY_GCOV_LINK_LIBRARIES gcov)
ENDIF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)

ADD_DEFINITIONS("-DWE_HAVE_DATATYPE_AGAIN")

IF(MYSQLCPPCONN_TEST_NOT_IMPLEMENTED)
  ADD_DEFINITIONS("-DINCLUDE_NOT_IMPLEMENTED_METHODS=1")
ENDIF(MYSQLCPPCONN_TEST_NOT_IMPLEMENTED)

SET(jdbctests_sources
  ccpptests.cpp
  BaseTestFixture.cpp
  ../common/stringutils.cpp
  resources.cpp
  regression/EscapeProcessorRegressionTest.cpp
  compliance/ConnectionTest.cpp
  compliance/DatabaseMetaDataTest.cpp
  compliance/StatementTest.cpp
  compliance/ResultSetMetadataTest.cpp
  compliance/PreparedStatementTest.cpp
  simple/BlobTest.cpp
  regression/BlobRegressionTest.cpp
  regression/PreparedStatementRegressionTest.cpp
  simple/TransactionTest.cpp
  regression/SubqueriesRegressionTest.cpp
  compliance/UnbufferedRsStmtTest.cpp
  )

# It's convinient for VS users to have headers as part of project
IF(WIN32)
  SET(jdbctests_sources
        ${jdbctests_sources}
    BaseTestFixture.h
    ../common/stringutils.h
    resources.h
    regression/EscapeProcessorRegressionTest.h
    compliance/ConnectionTest.h
    compliance/DatabaseMetaDataTest.h
    compliance/StatementTest.h
    compliance/ResultSetMetadataTest.h
    compliance/PreparedStatementTest.h
    simple/BlobTest.h
    regression/BlobRegressionTest.h
    regression/PreparedStatementRegressionTest.h
    simple/TransactionTest.h
    regression/SubqueriesRegressionTest.h
    compliance/UnbufferedRsStmtTest.h
    )
ENDIF(WIN32)

ADD_EXECUTABLE(CJUnitTestsPort ${jdbctests_sources})
TARGET_LINK_LIBRARIES(CJUnitTestsPort ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

#Copy sql.properties file to build dir
file(COPY sql.properties DESTINATION ${CMAKE_BINARY_DIR}/test/CJUnitTestsPort/)

MESSAGE(STATUS "Configuring C/J junit tests port")

=== test/unit/CMakeLists.txt ===
#
# Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#

IF(WIN32)
	LINK_DIRECTORIES(${MYSQL_DIR}/lib/$(ConfigurationName))
	LINK_DIRECTORIES(../framework/$(ConfigurationName))
	SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn test_framework)
	SET(MY_TARGET_LINK_LIBRARIES_STATIC_CPPLIB mysqlcppconn-static test_framework)
#	ADD_DEFINITIONS("-D_SECURE_SCL")
	ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS")
	ADD_DEFINITIONS("-D_CRT_SECURE_NO_WARNINGS")

	SET(CMAKE_FIND_LIBRARY_SUFFIXES ".dll")
	FIND_LIBRARY(MYSQLCPPCONN_DYNLOAD_MYSQL_LIB
	  NAMES 
		libmysql
	  PATHS
		${MYSQL_LIB_DIR}
		${MYSQL_LIB_DIR}/lib/${libsuffixDist}
		${MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
		${MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
		${MYSQL_LIB_DIR}/client/${libsuffixBuild}
		$ENV{MYSQL_LIB_DIR}
		$ENV{MYSQL_LIB_DIR}/lib/${libsuffixDist}
		$ENV{MYSQL_LIB_DIR}/lib  #mysqlclient may be in lib for some c/c distros
		$ENV{MYSQL_LIB_DIR}/libmysql/${libsuffixBuild}
		$ENV{MYSQL_LIB_DIR}/client/${libsuffixBuild}
		$ENV{MYSQL_DIR}/lib/${libsuffixDist}
		$ENV{MYSQL_DIR}/lib  #mysqlclient may be in lib for some c/c distros
		$ENV{MYSQL_DIR}/libmysql/${libsuffixBuild}
		$ENV{MYSQL_DIR}/client/${libsuffixBuild}
		$ENV{ProgramFiles}/MySQL/*/lib/${libsuffixDist}
		$ENV{ProgramFiles}/MySQL/*/lib
		$ENV{SystemDrive}/MySQL/*/lib/${libsuffixDist}
		$ENV{SystemDrive}/MySQL/*/lib
	  NO_DEFAULT_PATH
	)

ELSEIF(NOT WIN32)
	SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn test_framework)
	FIND_LIBRARY(MYSQLCPPCONN_DYNLOAD_MYSQL_LIB
	  NAMES 
		libmysqlclient_r.so
		libmysqlclient.so
	  PATHS
		${MYSQL_LIB_DIR}
		${MYSQL_LIB_DIR}/libmysql_r/.libs
		${MYSQL_LIB_DIR}/lib
		${MYSQL_LIB_DIR}/lib/mysql
		$ENV{MYSQL_LIB_DIR}
		$ENV{MYSQL_LIB_DIR}/libmysql_r/.libs
		$ENV{MYSQL_LIB_DIR}/lib
		$ENV{MYSQL_LIB_DIR}/lib/mysql
		$ENV{MYSQL_DIR}/libmysql_r/.libs
		$ENV{MYSQL_DIR}/lib
		$ENV{MYSQL_DIR}/lib/mysql
		${MYSQL_CLIB_DIR}
		${MYSQL_CLIB_DIR}/libmysql_r/.libs
		${MYSQL_CLIB_DIR}/lib
		${MYSQL_CLIB_DIR}/lib/mysql
		/usr/lib/mysql
		/usr/local/lib/mysql
		/usr/local/mysql/lib
		/usr/local/mysql/lib/mysql
		/opt/mysql/mysql/lib
		/opt/mysql/mysql/lib/mysql
	  NO_DEFAULT_PATH
	)
ENDIF(WIN32)

IF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)
	SET(MY_GCOV_LINK_LIBRARIES gcov)
ENDIF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)

ADD_DEFINITIONS("-DDYNLOAD_MYSQL_LIB=\"${MYSQLCPPCONN_DYNLOAD_MYSQL_LIB}\"")
MESSAGE(STATUS "MySQL dynamic load test library: ${MYSQLCPPCONN_DYNLOAD_MYSQL_LIB}")
IF(MYSQLCPPCONN_TEST_NOT_IMPLEMENTED)
	ADD_DEFINITIONS("-DINCLUDE_NOT_IMPLEMENTED_METHODS=1")
ENDIF(MYSQLCPPCONN_TEST_NOT_IMPLEMENTED)

MESSAGE(STATUS "Configuring unit tests")

ADD_SUBDIRECTORY(example/)
ADD_SUBDIRECTORY(classes/)
ADD_SUBDIRECTORY(performance/)
ADD_SUBDIRECTORY(bugs/)

# Copy&Paste template: change directory name and uncomment
# ADD_SUBDIRECTORY(template_bug_group)
ADD_SUBDIRECTORY(template_bug_group)

=== test/unit/classes/CMakeLists.txt ===
#
# Copyright (c) 2008, 2014, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#

SET(test_common_sources
  ../unit_fixture.cpp
  ../main.cpp)

IF(WIN32)
  SET(test_common_sources
    ${test_common_sources}
    ../unit_fixture.h)

ENDIF(WIN32)

SET(test_connection_sources
  ${test_common_sources}
  connection.cpp)

IF(WIN32)
  SET(test_connection_sources
        ${test_connection_sources}
    connection.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_connection ${test_connection_sources})
SET_TARGET_PROPERTIES(test_connection PROPERTIES
          OUTPUT_NAME "connection"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_connection ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - connection")

SET(test_databasemetadata_sources
  ../unit_fixture.cpp
  ../main.cpp
  connectionmetadata.cpp)

IF(WIN32)
  SET(test_databasemetadata_sources
        ${test_databasemetadata_sources}
  ../unit_fixture.h
  connectionmetadata.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_databasemetadata ${test_databasemetadata_sources})
SET_TARGET_PROPERTIES(test_databasemetadata PROPERTIES
          OUTPUT_NAME "databasemetadata"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_databasemetadata ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - databasemetadata")


SET(test_resultsetmetadata_sources
  ../unit_fixture.cpp
  ../main.cpp
  resultsetmetadata.cpp)

IF(WIN32)
  SET(test_resultsetmetadata_sources
        ${test_resultsetmetadata_sources}
  ../unit_fixture.h
  resultsetmetadata.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_resultsetmetadata ${test_resultsetmetadata_sources})
SET_TARGET_PROPERTIES(test_resultsetmetadata PROPERTIES
          OUTPUT_NAME "resultsetmetadata"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_resultsetmetadata ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - resultsetmetadata")

SET(test_resultset_sources
  ../unit_fixture.cpp
  ../main.cpp
  resultset.cpp)

IF(WIN32)
  SET(test_resultset_sources
        ${test_resultset_sources}
  ../unit_fixture.h
  resultset.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_resultset ${test_resultset_sources})
SET_TARGET_PROPERTIES(test_resultset PROPERTIES
          OUTPUT_NAME "resultset"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_resultset ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - resultset")

SET(test_savepoint_sources
  ../unit_fixture.cpp
  ../main.cpp
  savepoint.cpp)

IF(WIN32)
  SET(test_savepoint_sources
        ${test_savepoint_sources}
  ../unit_fixture.h
  savepoint.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_savepoint ${test_savepoint_sources})
SET_TARGET_PROPERTIES(test_savepoint PROPERTIES
          OUTPUT_NAME "savepoint"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_savepoint ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - savepoint")

SET(test_preparedstatement_sources
  ../unit_fixture.cpp
  ../main.cpp
  preparedstatement.cpp)

IF(WIN32)
  SET(test_preparedstatement_sources
        ${test_preparedstatement_sources}
  ../unit_fixture.h
  preparedstatement.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_preparedstatement ${test_preparedstatement_sources})
SET_TARGET_PROPERTIES(test_preparedstatement PROPERTIES
          OUTPUT_NAME "preparedstatement"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_preparedstatement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - preparedstatement")

SET(test_parametermetadata_sources
  ../unit_fixture.cpp
  ../main.cpp
  parametermetadata.cpp)

IF(WIN32)
  SET(test_parametermetadata_sources
        ${test_parametermetadata_sources}
  ../unit_fixture.h
  parametermetadata.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_parametermetadata ${test_parametermetadata_sources})
SET_TARGET_PROPERTIES(test_parametermetadata PROPERTIES
          OUTPUT_NAME "parametermetadata"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_parametermetadata ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - parametermetadata")

SET(test_art_resultset_sources
  ../unit_fixture.cpp
  ../main.cpp
  art_resultset.cpp)

IF(WIN32)
  SET(test_art_resultset_sources
        ${test_art_resultset_sources}
  ../unit_fixture.h
  art_resultset.h)

  ADD_DEFINITIONS("-DCPPCONN_PUBLIC_FUNC=")
ENDIF(WIN32)

ADD_EXECUTABLE(test_art_resultset ${test_art_resultset_sources})
SET_TARGET_PROPERTIES(test_art_resultset PROPERTIES
          OUTPUT_NAME "art_resultset"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_art_resultset ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})


MESSAGE(STATUS "Configuring unit tests - art_resultset")

SET(test_statement_sources
  ../unit_fixture.cpp
  ../main.cpp
  statement.cpp)

IF(WIN32)
  SET(test_statement_sources
        ${test_statement_sources}
  ../unit_fixture.h
  statement.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_statement ${test_statement_sources})
SET_TARGET_PROPERTIES(test_statement PROPERTIES
          OUTPUT_NAME "statement"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - statement")

SET(test_uri_sources
  ${test_common_sources}
  "${CMAKE_SOURCE_DIR}/driver/mysql_uri.cpp"
  "${CMAKE_SOURCE_DIR}/driver/mysql_util.cpp"
  uri.cpp)

IF(WIN32)
  SET(test_uri_sources
        ${test_uri_sources}
    "${CMAKE_SOURCE_DIR}/driver/mysql_uri.h"
    uri.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_uri ${test_uri_sources})
SET_TARGET_PROPERTIES(test_uri PROPERTIES
          OUTPUT_NAME "uri"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_uri ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - uri")


SET(test_variant_sources
  ../unit_fixture.cpp
  ../main.cpp
  variant.cpp)

IF(WIN32)
  SET(test_variant_sources
    ${test_variant_sources}
    ../unit_fixture.h
    variant.h)
ENDIF(WIN32)

ADD_EXECUTABLE(test_variant ${test_variant_sources})
SET_TARGET_PROPERTIES(test_variant PROPERTIES
          OUTPUT_NAME "variant"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(test_variant ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - variant")

=== test/unit/performance/CMakeLists.txt ===
#
# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


SET(perf_statement_sources
  ../unit_fixture.cpp
  ../main.cpp
  perf_statement.cpp)

IF(WIN32)
  SET(perf_statement_sources
        ${perf_statement_sources}
  ../unit_fixture.h
  perf_statement.h)
ENDIF(WIN32)

ADD_EXECUTABLE(perf_statement ${perf_statement_sources})
SET_TARGET_PROPERTIES(perf_statement PROPERTIES
          OUTPUT_NAME "perf_statement"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(perf_statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring performance test - statement")

=== test/unit/template_bug_group/CMakeLists.txt ===
#
# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


SET(bug123_sources
  ../unit_fixture.cpp
  ../main.cpp
  bug123.cpp)

IF(WIN32)
  SET(bug123_sources
        ${bug123_sources}
  ../unit_fixture.h
  bug123.h)
ENDIF(WIN32)

ADD_EXECUTABLE(bug123 ${bug123_sources})
SET_TARGET_PROPERTIES(bug123 PROPERTIES
          OUTPUT_NAME "bug123"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")

TARGET_LINK_LIBRARIES(bug123 ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

#
# End of the instructions for building binary bug123 from bug123.cpp|h
#

#
# Instructions for compiling bug456.cpp|h into the binary bug456
#

SET(bug456_sources
  ../unit_fixture.cpp
  ../main.cpp
  bug456.cpp)

IF(WIN32)
  SET(bug456_sources
        ${bug456_sources}
  ../unit_fixture.h
  bug456.h)
ENDIF(WIN32)

ADD_EXECUTABLE(bug456 ${bug456_sources})
SET_TARGET_PROPERTIES(bug456 PROPERTIES
          OUTPUT_NAME "bug456"
          LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
          COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV}")
TARGET_LINK_LIBRARIES(bug456 ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES})

MESSAGE(STATUS "Configuring unit tests - group template_bug")

=== debian/changelog ===
mysql-connector-c++ (1.1.9-5) unstable; urgency=medium

  * remove unused MYSQLCLIENT_LIB_NAME/LIBNAME setting

  * add autopkgtest

  * remove myself from Uploaders:

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jul 2019 22:19:58 +0200

mysql-connector-c++ (1.1.9-4) unstable; urgency=medium

  * debian/patches/dynexcspec.patch: import from LO to remove
    dynamic exception specifications. Breaking sith -std=c++17

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Dec 2018 18:47:17 +0100

mysql-connector-c++ (1.1.9-3) unstable; urgency=medium

  * debian/patches/fix-var-quoting.diff: as name says to fix cross building.
    patch by Helmut Grohne (closes: #909353)

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Nov 2018 16:55:01 +0000

mysql-connector-c++ (1.1.9-2) unstable; urgency=medium

  * update Vcs-* for salsa move

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Nov 2018 17:35:32 +0100

mysql-connector-c++ (1.1.9-1) unstable; urgency=medium

  * fix changelog to resemble proper history

  * New upstream version 1.1.9

  * remove debian/patches/no-MYSQL_TYPE_JSON.patch as MYSQL_TYPE_JSON is now
    checked with LIBMYSQL_VERSION_ID
  * actually add most of upstream files to master...

 -- Rene Engelhard <rene@debian.org>  Sun, 21 May 2017 19:20:42 +0200

mysql-connector-c++ (1.1.7-4) unstable; urgency=medium

  * debhelper/compat to version 10.
  * tighter shlibs versioning with "dh_makeshlibs -V".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Nov 2016 15:56:30 +1100

=== debian/control ===
Source: mysql-connector-c++
Section: libs
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), cmake
#  ,libmysqlclient-dev (>= 5.7.8)
  ,default-libmysqlclient-dev
  ,libboost-dev
  ,libssl-dev
Standards-Version: 3.9.8
Homepage: https://dev.mysql.com/doc/relnotes/connector-cpp/en/news-1-1.html
Vcs-Browser: https://salsa.debian.org/mariadb-team/mysql-connector-cpp
Vcs-Git: https://salsa.debian.org/mariadb-team/mysql-connector-cpp.git

Package: libmysqlcppconn-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libboost-dev, libmysqlcppconn7v5 (= ${binary:Version}), ${misc:Depends}
Description: MySQL Connector for C++ (development files)
 MySQL Connector/C++ is a MySQL database connector for C++.
 .
 It mimics the JDBC 4.0 API.
 .
 This package contains the development files (headers, static library).

Package: libmysqlcppconn7v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmysqlcppconn7
Description: MySQL Connector for C++ (library)
 MySQL Connector/C++ is a MySQL database connector for C++.
 .
 It mimics the JDBC 4.0 API.
 .
 This package contains the shared library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
          -DCMAKE_INSTALL_PREFIX:PATH=/usr \
          -DMYSQLCPPCONN_BUILD_EXAMPLES:BOOL=0 \
          -DMYSQLCPPCONN_ICU_ENABLE:BOOL=0 \
          -DMYSQLCLIENT_STATIC_LINKING:BOOL=0

override_dh_makeshlibs:
	dh_makeshlibs -v -V

=== debian/tests/control ===
Tests: examples
Depends: @builddeps@, libmysqlcppconn7v5, default-mysql-server
Restrictions: needs-root, needs-build, rw-build-tree, isolation-container, breaks-testbed

Tests: test
Depends: @builddeps@, libmysqlcppconn7v5, default-mysql-server
Restrictions: needs-root, needs-build, rw-build-tree, isolation-container, breaks-testbed
